/**
 * RoleClassContact2.java
 *
 * File generated from the medication2::RoleClassContact2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassContact2.
 *
 * 
 */

@XmlType(name = "RoleClassContact")
@XmlEnum
@XmlRootElement(name = "RoleClassContact2")
public enum RoleClassContact2 {
	@XmlEnumValue("CON")
	CON("CON"),
	@XmlEnumValue("ECON")
	ECON("ECON"),
	@XmlEnumValue("NOK")
	NOK("NOK");
	
	private final String value;

    RoleClassContact2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassContact2 fromValue(String v) {
        for (RoleClassContact2 c: RoleClassContact2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
